<?php
$week = [
'niedziela', 'poniedziałek', 'wtorek', 'środa',
'czwartek', 'piątek', 'sobota'
];

$month = 12;
$day = 24;
$year = 2025;

// sprawdź poprawność daty
if (checkdate($month, $day, $year)) // true
{
    $d = date("w", mktime(0, 0, 0, $month, $day, $year));
    print "$year.$month.$day to ".$week[$d];
}
else // false
{
    print "Data jest błędna.";
}